# asReadKeyValuesRepo

fun < K , V , VI : Iterable < V >> ReadKeyValueRepo < K , VI >. asReadKeyValuesRepo (): ReadKeyValuesFromKeyValueRepo < K , V , VI >(source)

Wraps this ReadKeyValueRepo (mapping keys to iterables) as a ReadKeyValuesFromKeyValueRepo, exposing a one-to-many read interface.

#### Return

ReadKeyValuesFromKeyValueRepo delegating to this repo

#### Type Parameters

K

The type of keys

V

The type of individual values within each iterable

VI

The iterable type storing multiple values per key